# eric3.QScintilla.ZoomDialog

Module implementing a dialog to select the zoom scale.

### Classes

ZoomDialog | Class implementing a dialog to select the zoom scale.

### Functions

None

## ZoomDialog

Class implementing a dialog to select the zoom scale.

### Derived from

ZoomForm

### Methods

ZoomDialog | Constructor
getZoomSize | Public method to retrieve the zoom size.

### ZoomDialog (Constructor)

ZoomDialog(zoom, parent, name=None, modal=0, fl=0)

Constructor

fl
  window flags
modal
  flag indicating a modal dialog
name
  name of this dialog (string or QString)
parent
  parent widget of this dialog (QWidget)
zoom
  zoom factor to show in the spinbox

### ZoomDialog.getZoomSize

getZoomSize()

Public method to retrieve the zoom size.

Returns:
  zoom size (int)

Up